Package proton :: Class Url :: Class Port

[frames] | no frames]

# Class Port

source code

    object --+
             |
           int --+
                 |
                Url.Port

An integer port number that can be constructed from a service name string

Instance Methods

__eq__(self, x) | source code

__ne__(self, x) | source code

__str__(self) str(x) | source code

Inherited from `int`: `__abs__`, `__add__`, `__and__`, `__cmp__`, `__coerce__`, `__div__`, `__divmod__`, `__float__`, `__floordiv__`, `__format__`, `__getattribute__`, `__getnewargs__`, `__hash__`, `__hex__`, `__index__`, `__int__`, `__invert__`, `__long__`, `__lshift__`, `__mod__`, `__mul__`, `__neg__`, `__nonzero__`, `__oct__`, `__or__`, `__pos__`, `__pow__`, `__radd__`, `__rand__`, `__rdiv__`, `__rdivmod__`, `__repr__`, `__rfloordiv__`, `__rlshift__`, `__rmod__`, `__rmul__`, `__ror__`, `__rpow__`, `__rrshift__`, `__rshift__`, `__rsub__`, `__rtruediv__`, `__rxor__`, `__sub__`, `__truediv__`, `__trunc__`, `__xor__`, `bit_length`, `conjugate`

Inherited from `object`: `__delattr__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods

a new object with type S, a subtype of T

__new__(cls, value) | source code

Properties
Inherited from `int`: `denominator`, `imag`, `numerator`, `real` Inherited from `object`: `__class__`

Method Details

### __new__(cls, value)
Static Method

source code

Parameters:
  - `value` - integer port number or string service name.
Returns: a new object with type S, a subtype of T
Overrides: object.__new__

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)